   Set($ExternalAuthPriority,           [ 'My_LDAP' ] );
   Set($ExternalInfoPriority,           [ 'My_LDAP' ] );
   Set($ExternalServiceUsesSSLorTLS,    0);
   Set($AutoCreateNonExternalUsers,     0);
   
   Set($ExternalSettings,      {
                        'My_LDAP'               =>  {
   
                        'type'                  =>  'ldap',
                        'server'                =>  '10.2xx.xx.xxx',
                        'user'                  =>  'cn=ldap,cn=Services,dc=somedomain,dc=com',
                        'pass'                  =>  'xxxxxxxxxxx',
                        'base'                  =>  'dc=somedomain,dc=com',
   
                        'filter'                =>  '(&(ObjectCategory=User)(ObjectClass=Person))',
                        'd_filter'              =>  '(userAccountControl:1.2.840.113556.1.4.803:=2)',
   
                        'tls'                   =>  0,
   #                    'ssl_version'           =>  3,
   
                        'net_ldap_args'         => [    version =>  3           ],
                        'group'                 =>  'cn=RTUsers,ou=Services,dc=cvi-mg,dc=com',
                        'group_attr'            =>  'member',
   
                        'attr_match_list'       => [   'Name', 'EmailAddress'   ],
                        'attr_map'              => {   'Name' => 'sAMAccountName',
                                                       'EmailAddress' => 'mail',
                                                       'Organization' => 'physicalDeliveryOfficeName',
                                                       'RealName' => 'cn',
                                                       'ExternalAuthId' => 'sAMAccountName',
                                                       'Gecos' => 'sAMAccountName',
                                                       'WorkPhone' => 'telephoneNumber',
                                                       'Address1' => 'streetAddress',
                                                       'City' => 'l',
                                                       'State' => 'st',
                                                       'Zip' => 'postalCode',
                                                       'Country' => 'co'
                                                   }
                                                   }
                               }
   );
   
   1;
