   ######################
   # Custom Site Config #
   ######################
   
   Set($rtname , "SOME-ORG-NAME");
   Set($Organization , "someorg.com");
   Set($MinimumPasswordLength , "5");
   Set($Timezone , 'US/Mountain');
   
   #Set(@Plugins, qw(
   #                        RT::Authen::ExternalAuth
   #                 ));
   
  Set(@Plugins, qw(
		 	    RT::FM
                            RT::Authen::ExternalAuth
		   ));

   Set($HomepageComponents, [qw(
                                QuickCreate
                                Quicksearch
                                MyAdminQueues
                                MySupportQueues
                                MyReminders
                                RefreshHomepage
                                Dashboards
                                )]);
   
   Set($DatabaseType , 'mysql');
   Set($DatabaseHost   , 'localhost');
   Set($DatabaseRTHost , 'localhost');
   Set($DatabasePort , '');
   Set($DatabaseUser , 'rt3');
   Set($DatabasePassword , 'xxxxxx');
   Set($DatabaseName , 'rt3');
   
   Set($OwnerEmail , 'root');
   Set($LoopsToRTOwner , 1);
   
   Set($SendmailArguments , "-oi -t -f 
support\@someorg.com");
   
   Set($MaxAttachmentSize , 10000000);
   
   Set($RTAddressRegexp , '^rt\@nsomeorg.com$');
   Set($CorrespondAddress , 'no-reply@someorg.com');
   Set($CommentAddress , 'no-reply@someorg.com');
   
   Set($UseFriendlyFromLine , 1);
   Set($FriendlyFromLineFormat , "\"%s\" <%s>");
   Set($UseFriendlyToLine , 1);
   Set($FriendlyToLineFormat, "\"%s Ticket #%s\":;");
   
   Set($NotifyActor, 0);
   Set($RecordOutgoingEmail, 1);
   
   Set($WebPath , "/ticket");
   Set($WebPort , 80);
   Set($WebBaseURL , "http://someorg.com");
   Set($WebURL , $WebBaseURL . $WebPath . "/");
   
   Set($MessageBoxWidth , 72);
   Set($MessageBoxWrap, "HARD");
   
   Set($MaxInlineBody, 13456);
   Set($DefaultSummaryRows, 10);
   
   Set($OldestTransactionsFirst, '1');
   Set($ShowTransactionImages, 1);
   
   Set($DateDayBeforeMonth , 0);
   Set($AmbiguousDayInPast , 1);


   Set($LogToSyslog    , 'info');
   Set($LogToScreen    , 'info');

   Set($LogToFile , 'debug'); #debug = high amount of logging
   Set($LogDir, '/opt/rt3/var/log');
   Set($LogToFileNamed , "rt.log");    #log to rt.log
   
   require "/opt/rt3/local/plugins/RT-Authen-ExternalAuth/etc/RT_SiteConfig.pm";
   Set($AutoCreate,                        {Privileged => 1});
   
   1;
  
